<template>
  <div class="mobile-container">
    <van-sticky>
      <van-nav-bar
        :title="routerQuery.title || '我的案件'"
        left-arrow
        @click-left="_ => $router.go(-1)"
      />
      <van-tabs
        v-model="componentName"
        swipeable
        color="#5e9df0"
        line-width="70px"
      >
        <van-tab :name="item.componentName" v-for="(item,index) in tabArr" :key="index">
          <template v-slot:title>
            <van-icon :name="item.iconName" />
            {{ item.title }}
          </template>
        </van-tab>
      </van-tabs>
    </van-sticky>
    <div class="content">
      <!--  一般案件    -->
      <general-cases v-if="componentName === 'GeneralCases'" />
      <!--   现场处置   -->
      <MyCase v-if="componentName === 'MyCase'" ref="myCase" />
    </div>
  </div>
</template>

<script>
import MyCase from './components/MyCase'
import GeneralCases from './components/GeneralCases/index.vue'

export default {
  name: 'CaseHandling',
  components: {
    GeneralCases,
    MyCase
  },
  data() {
    return {
      tabArr: [
        {componentName: 'GeneralCases', title: '一般案件', iconName: 'more-o'},
        {componentName: 'MyCase', title: '现场处置', iconName: 'user-o'}
      ],
      componentName: 'GeneralCases'
    }
  },
  computed: {
    routerQuery() {
      return this.$route.query
    }
  },
  created() {
  },
  methods: {}
}
</script>
<style lang="scss" scoped>

.mobile-container {
  width: 100%;
  box-sizing: border-box;
  display: flex;
  flex-direction: column;

  ::v-deep .van-tabs {

    .van-tabs__wrap {
      height: 40PX;

      .van-tab__text {
        font-size: 70px;
      }
    }
  }

  .content {
    flex: 1;
    height: 0;
    background: #fff;
  }
}

</style>

<style lang="scss">
html {
  touch-action: pan-y;
}
</style>
